Skip to main content
POST
/
api
/
v1
/
github
/
installations
/
claim
Claim GitHub installation
curl --request POST \
  --url https://neo.api.projectdiscovery.io/api/v1/github/installations/claim \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "installation_id": 123
}
'
{
  "account_login": "<string>",
  "account_type": "User",
  "created_at": "2023-11-07T05:31:56Z",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "installation_id": 123,
  "status": "<string>",
  "total_repos": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.neo.projectdiscovery.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT authentication token

Body

application/json
installation_id
integer<int64>
required

GitHub App installation ID to claim

Response

Installation claimed successfully

account_login
string
required

GitHub account login (username or org name)

account_type
enum<string>
required

Type of GitHub account

Available options:
User,
Organization
created_at
string<date-time>
required

When the installation was created

id
string<uuid>
required

Installation record ID

installation_id
integer<int64>
required

GitHub App installation ID

status
string
required

Installation status

total_repos
integer
required

Total number of repositories in this installation